﻿/** the form elements **/
::-webkit-input-placeholder { /* WebKit, Blink, Edge */ color: rgba(51, 51, 51, 1); font-weight: 400; }
:-moz-placeholder { /* Mozilla Firefox 4 to 18 */ color: rgba(51, 51, 51, 1); font-weight: 400; }
::-moz-placeholder { /* Mozilla Firefox 19 + */ color: rgba(0, 0, 0, 1); font-weight: 400; }
:-ms-input-placeholder { /* Internet Explorer 10-11 */ color: rgba(51, 51, 51, 1); opacity: 1; font-weight: 400; }
:placeholder-shown { /* Standard (https://drafts.csswg.org/selectors-4/#placeholder) */ color: rgba(51, 51, 51, 1); font-weight: 400; }
input:required, textarea:required { background-color: #FFF; }
input:required, textarea:required { box-shadow: none; outline: none; }
input:required:focus, textarea:required:focus { /*  border: 1px solid #4FBAE8;*/ background-color: #FFFFCB; outline: none; }
#frmRegistra { box-sizing: border-box; -moz-box-sizing: border-box; -webkit-box-sizing: border-box; }


.field-row              { width: 100%; height:100%; overflow: hidden }

.element                { margin: 1.5%; clear: none; float: left }
.element-center         { clear: none; margin:0 auto }

input[type="text"],
input[type="password"]  { width: 100%; font-family: 'Open Sans', sans-serif; font-size: 1em; /* 14px */ font-weight: 400; color: #2F5B87; border: none; padding: 8px; box-sizing: border-box; -moz-box-sizing: border-box; -webkit-box-sizing: border-box; -webkit-border-radius: 5px; -moz-border-radius: 5px; border-radius: 5px; }
input[type="radio"] { margin-top: -3px; vertical-align: middle; }


select                  { width: 100%; font-family: 'Open Sans', sans-serif; font-size: 1em; /* 14px */ font-weight: 400; color: #2F5B87; border: none; padding: 8px; box-sizing: border-box; -moz-box-sizing: border-box; -webkit-box-sizing: border-box; -webkit-border-radius: 5px; -moz-border-radius: 5px; border-radius: 5px; cursor: pointer; -webkit-appearance: none; -moz-appearance: none; appearance: none; background: url(../images/selectArrow.png) no-repeat 97% 50% #FFF; }
.box-tipoutente         { display:table; width: 100%; padding: 8px; text-align: left; color: white; box-sizing: border-box; -moz-box-sizing: border-box; -webkit-box-sizing: border-box; border: 1px solid white; -webkit-border-radius: 5px; -moz-border-radius: 5px; border-radius: 5px; }
.box-tipoutente > div:first-child { display:table-cell;vertical-align:middle }
.el-size-100            { width:  97%; }
.el-size-50             { width:  97%; }
.el-size-cap            { width:  97%; }
.el-size-citta          { width:  97%; }
.el-size-pv             { width:  97%; }
.el-size-nazione        { width:  97%; }
.el-size-invia          { width:  97%; margin:0 auto; }                        
.el-size-invia > input  { padding: 15px }
select::-ms-expand      { /*fix ie */ display: none; }

.submitbtn-form { clear: none; float: left; display: block; font-family: 'Roboto', sans-serif; font-size: 1em; /* 13px */ font-weight: 400; text-transform: uppercase; color: rgba(255, 255, 255, 1); background-color: rgba(51, 51, 51, 0.7); border: none; margin-top: 5%; margin-bottom: 2%; margin-left: 1%; margin-right: 1%; padding: 3.4%; width: 98%; box-sizing: border-box; -moz-box-sizing: border-box; -webkit-box-sizing: border-box; -webkit-border-radius: 5px; -moz-border-radius: 5px; border-radius: 5px; }
.submitbtn-form:hover { background-color: rgba(51, 51, 51, 0.3); -webkit-transition: all .2s ease-in-out; -moz-transition: all .2s ease-in-out; -o-transition: all .2s ease-in-out; transition: all .2s ease-in-out; }

.err-field              { width: 97%; padding: 5px 5px 0 5px; color:#FF5050 }

input.error, 
select.error            { border: 2px solid #FF5050 }

.box-testi-privacy      { clear: both; float: left; display: block; width: 100%; margin-top: 1.5%; margin-bottom: 0; padding: 0 10px; }
.box-testi-privacy p    { margin:10px 0; padding:0; font-family: 'Open Sans', sans-serif; font-weight: 300; font-size: 1em; /* 13px */ color: #FFFFFF; margin: 0; line-height: 20px; text-align: justify; }

@media only screen and (min-width: 769px ) {

input[type="text"],
input[type="password"]  { padding: 11px; }
select                  { padding: 10px; }
.box-tipoutente         { padding: 10px; }

.el-size-100            { margin: 0.5% 1%; width: 98%; } /* Calcolo margine(top-bottom): 24 / width% (es: width = 48%  => margine = 24/48 = 0.5%  */
.el-size-50             { margin: 0.5% 1%; width: 48%; }
.el-size-cap            { margin: 0.5% 1%; width: 15%; }
.el-size-citta          { margin: 0.5% 1%; width: 69%; }
.el-size-pv             { margin: 0.5% 1%; width: 10%; }
.el-size-nazione        { margin: 0.5% 1%; width: 48%; }
.el-size-chpwd          { width: 23%; }
.el-size-invia          { width: 33%; }                        

}
